## tclthread3 3.0.1

=== debian/changelog ===
tclthread3 (3.0.1-2) unstable; urgency=medium

  * Rename the binary package to tcl9.0-thread per Debian Tcl/Tk policy.
  * Provide the tcl-thread package for those packages which support both
    Tcl 8.6 and 9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Mar 2025 12:30:39 +0300

tclthread3 (3.0.1-1) unstable; urgency=medium

  * Initial Release (closes: #1100167).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Mar 2025 11:52:36 +0300
