## tclthread3 3.0.2

=== debian/changelog ===
tclthread3 (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Aug 2025 22:01:27 +0300
