=== debian/control ===
Source: tclthread3
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tcl9.0-dev
Standards-Version: 4.7.2
Homepage: https://tcl.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/tclthread
Vcs-Git: https://salsa.debian.org/tcltk-team/tclthread.git

Package: tcl9.0-thread
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl9.0
Conflicts: tcl-thread (<= 2.8.11-1)
Provides: tcl-thread (= ${binary:Version})
Multi-Arch: same
Description: Tcl extension implementing script level access to Tcl threading (for Tcl 9)
 The thread extension creates threads that contain Tcl interpreters,
 and it lets you send scripts to those threads for evaluation. It also
 enables you to share data between threads in a safe, protected
 fashion.  Additionally, it provides script-level access to basic
 thread synchronization primitives, like mutexes and condition
 variables.
