=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

PDIR=$(CURDIR)/debian/tclthread3

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	#
	# Remove installed files
	rm -rf $(PDIR)
	rm -f threadUuid.h

override_dh_auto_configure:
	dh_auto_configure -- \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --with-tcl=/usr/lib/tcl9.0 \
		    --disable-zipfs \
		    --enable-threads

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(PDIR)
	install -m 755 -d $(PDIR)/usr/lib/tcltk
	mv $(PDIR)/usr/lib/$(DEB_HOST_MULTIARCH) $(PDIR)/usr/lib/tcltk
	#
	mv $(PDIR)/usr/include/tclThread.h $(PDIR)/usr/include/tclThread3.h
	#
	# fix up files permissions
	chmod -R u+w $(PDIR)
	#
	# cleanup manpages
	mv $(PDIR)/usr/share/man/mann $(PDIR)/usr/share/man/man3
	cd $(PDIR)/usr/share/man/man3 && \
	  for f in *.n ; do \
	    sed -e's/^\.TH \([^ ]\+\) n/.TH \1 3tcl/' \
		$$f > `basename $$f .n`3.3tcl; \
	    rm $$f; \
	  done
	#
	# remove empty directories
	find $(PDIR) -empty -prune -exec rmdir \{\} \;

override_dh_compress:
	dh_compress -X.tcl

.PHONY: override_dh_auto_configure override_dh_auto_install \
	override_dh_compress override_dh_auto_clean
