## tclthread3 3.0.4

=== debian/changelog ===
tclthread3 (3.0.4-2) unstable; urgency=medium

  * Build the library both for Tcl 8.6 and 9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Dec 2025 15:24:30 +0300

tclthread3 (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debian/watch uscan control file version to 4.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Nov 2025 21:29:46 +0300
