=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 13), tcl9.0-dev
+Build-Depends: debhelper-compat (= 13), tcl-dev, tcl8.6-dev, tcl9.0-dev
 Standards-Version: 4.7.2
 Homepage: https://tcl.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tclthread
@@ -10,9 +10,9 @@
 
 Package: tcl9.0-thread
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl9.0
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.6 | tcl9.0
 Conflicts: tcl-thread (<= 2.8.11-1)
-Provides: tcl-thread (= ${binary:Version})
+Provides: tcl8.6-thread (= ${binary:Version}), tcl-thread (= ${binary:Version})
 Multi-Arch: same
 Description: Tcl extension implementing script level access to Tcl threading (for Tcl 9)
  The thread extension creates threads that contain Tcl interpreters,
