=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 include /usr/share/dpkg/architecture.mk
 
 PDIR=$(CURDIR)/debian/tclthread3
+TCLVERSIONS = 8.6 9.0
 
 %:
 	dh $@
@@ -14,24 +15,29 @@
 	#
 	# Remove installed files
 	rm -rf $(PDIR)
-	rm -f threadUuid.h
+	for vv in $(TCLVERSIONS) ; do \
+	    rm -rf $(CURDIR)/debian/$$vv ; \
+	done
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	for vv in $(TCLVERSIONS) ; do \
+	    dh_auto_configure -B$(CURDIR)/debian/$$vv -- \
 		    --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
 		    --mandir=\$${prefix}/share/man \
 		    --infodir=\$${prefix}/share/info \
-		    --with-tcl=/usr/lib/tcl9.0 \
+		    --with-tcl=/usr/lib/tcl$$vv \
 		    --disable-zipfs \
-		    --enable-threads
+		    --enable-threads ; \
+	done
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(PDIR)
+	for vv in $(TCLVERSIONS) ; do \
+	    $(MAKE) -C$(CURDIR)/debian/$$vv install DESTDIR=$(PDIR) ; \
+	done
 	install -m 755 -d $(PDIR)/usr/lib/tcltk
 	mv $(PDIR)/usr/lib/$(DEB_HOST_MULTIARCH) $(PDIR)/usr/lib/tcltk
-	#
 	mv $(PDIR)/usr/include/tclThread.h $(PDIR)/usr/include/tclThread3.h
 	#
 	# fix up files permissions
@@ -42,7 +48,7 @@
 	cd $(PDIR)/usr/share/man/man3 && \
 	  for f in *.n ; do \
 	    sed -e's/^\.TH \([^ ]\+\) n/.TH \1 3tcl/' \
-		$$f > `basename $$f .n`3.3tcl; \
+	        $$f > `basename $$f .n`3.3tcl; \
 	    rm $$f; \
 	  done
 	#
