=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=4

http://sf.net/tcl/thread(3\.[\d.]*)\.tar\.gz
